Groovy 1.7.10

## org.codehaus.groovy.runtime
[Java] Class MethodClosure

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Closure
              org.codehaus.groovy.runtime.MethodClosure

    public class MethodClosure
    extends Closure

Represents a method on an object using a closure which can be invoked at any time

Authors:
  James Strachan

Version:
  \$Revision: 19869 \$

Field Summary

Fields inherited from class Closure
DELEGATE_FIRST, DELEGATE_ONLY, DONE, OWNER_FIRST, OWNER_ONLY, SKIP, TO_SELF, maximumNumberOfParameters, parameterTypes

Constructor Summary
`MethodClosure(Object owner, String method)`

Method Summary
`protected Object` | `doCall(Object arguments)`
`String` | `getMethod()`
`Object` | `getProperty(String property)`

Methods inherited from class Closure
asWritable, call, call, call, clone, curry, getDelegate, getDirective, getMaximumNumberOfParameters, getOwner, getParameterTypes, getProperty, getResolveStrategy, getThisObject, isCase, ncurry, rcurry, run, setDelegate, setDirective, setProperty, setResolveStrategy, throwRuntimeException

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### MethodClosure

    public MethodClosure(Object owner, String method)

Method Detail

### doCall

    protected Object doCall(Object arguments)

### getMethod

    public String getMethod()

### getProperty

    public Object getProperty(String property)

Copyright © 2003-2010 The Codehaus. All rights reserved.